#include "GameObjectivesComponent.h"
#include "Net/UnrealNetwork.h"

class AGameObjectiveBase;

void UGameObjectivesComponent::OnRep_GameObjectives(const TArray<AGameObjectiveBase*>& oldArray)
{

}

void UGameObjectivesComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UGameObjectivesComponent, _gameObjectives);
}

UGameObjectivesComponent::UGameObjectivesComponent()
{

}
